%global githash 430403b362bc
Name:          jose4j
Version:       0.4.4
Release:       1%{?dist}
Summary:       Implementation of JWT and the JOSE specification suite
License:       ASL 2.0
URL:           https://bitbucket.org/b_c/jose4j/wiki/Home
Source0:       https://bitbucket.org/b_c/jose4j/get/%{name}-%{version}.tar.bz2

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
The Jose4j library is an implementation of JWT and the
JOSE specification suite. It is written in Java and
relies solely on the JCA APIs for cryptography.

JSON Web Token (JWT) is a compact, URL-safe means of
representing claims to be transferred between two parties.
JWT is the identity token format in OpenID Connect and it
is also widely used in OAuth 2.0 and many other contexts
that require compact message security.

JOSE is short for Javascript Object Signing and Encryption,
which is the IETF Working Group that developed the
JSON Web Signature (JWS), JSON Web Encryption (JWE) and
JSON Web Key (JWK) specifications. JWS and JWE use JSON and
base64url encoding to secure messages in a (relatively)
simple, compact and web safe format while JWK
defines a JSON representation of cryptographic keys. The
actual algorithms for JWS, JWE and JWK are defined
in JSON Web Algorithms (JWA).

The library supports the JWS/JWE compact serializations
with the complete suite of JOSE algorithms.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n b_c-%{name}-%{githash}
# Cleanup
find . -name "*.class" -delete
find . -name "*.jar" -print -delete

%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :nexus-staging-maven-plugin

sed -i 's/\r//' README.md

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE.txt

%changelog
* Sun Oct 18 2015 gil cattaneo <puntogil@libero.it> 0.4.4-1
- initial rpm
